#include <bits/stdc++.h>
using namespace std;

char suits[] = {'H', 'S', 'C', 'D'};
string values[] = {"2", "3", "4", "5", "6", "7", "8", "9", "10", "J", "Q", "K", "A"};
int dp[101][101] = {};

int get_value(char suit, string val)
{
  int i = 0, j = 0;
  while (suit != suits[i]) ++i;
  while (val != values[j]) ++j;
  return i * 13 + j;
}

string get_card(int value)
{
  int i = value / 13;
  int j = value % 13;
  return string(1, suits[i]) + " " + values[j];
}

int f(int left, int right, const vector<int> & deck)
{
  if (!dp[left][right])
  {
    if (left > right) dp[left][right] = 0;
    else if (left == right) dp[left][right] = deck[left];
    else if (right - left == 1) dp[left][right] = max(deck[left], deck[right]);
    else
    {
      dp[left][right] = max(
        deck[left] + min(f(left+2, right, deck), f(left+1, right-1, deck)),
        deck[right] + min(f(left+1, right-1, deck), f(left, right-2, deck))
      );
    }
  }
  return dp[left][right];
}

void solve(const vector<int> & deck)
{
  int fedor = f(0, int(deck.size())-1, deck);
  int s = 0;
  for(int i=0; i<int(deck.size()); ++i) s += deck[i];
  if (2 * fedor > s)
    cout << "FYODOR";
  else if (2 * fedor == s)
    cout << "DRAW";
  else
    cout << "DJON";
}

int main() {
  vector<int> deck;
  int n;
  cin >> n;
  while(n > 0)
  {
    char suit;
    string val;
    cin >> suit >> val;
    deck.push_back(get_value(suit, val));
    n--;
  }
  solve(deck);
  return 0;
}
