n, m = map(int, input().split())
field = []
answer = []
for i in range(n):
  field.append(list(input()))
  answer.append([0] * m)

k = int(input())
words = []
for j in range(k):
  words.append(input())

def dfs(i, j, n_w, n_l, dfs_order):
    if field[i][j] != words[n_w][n_l] or answer[i][j] != 0:
        return False
    answer[i][j] = n_w + 1
    n_l += 1
    if n_l == len(words[n_w]):
        return True
    ans = False
    for direction in dfs_order:
      newi, newj = direction
      newi, newj = newi + i, newj + j
      if 0 <= newi < n and 0 <= newj < m and not ans:
        ans = dfs(newi, newj, n_w, n_l, dfs_order)
    if not ans:
        answer[i][j] = 0
    return ans

def copy_array2(lst):
  arr = []
  for row in lst:
    arr.append( row[:] )
  return arr

dfs_orders = []
templ_order = [(0,1), (1,0), (-1,0), (0,-1)]

for mask in range(256):
  mask_order = []
  for i in range(4):
    mask_order.append( mask // (4 ** i) % 4 )
  if len(set(mask_order)) == 4:
    dfs_orders.append( [ templ_order[mask_order[j]] for j in range(4) ] )

is_success = False
def solve(num_w):
  global is_success, answer, field
  
  if num_w == k or is_success:
    is_success = True
    return is_success

  copy_answer = copy_array2(answer)
  copy_field = copy_array2(field)
  for i in range(n):
    if is_success:
      break
    for j in range(m):
      if is_success:
        break
      if field[i][j] == words[num_w][0]:
        for dfs_order in dfs_orders:
          wrote = dfs(i, j, num_w, 0, dfs_order)
          if not wrote:
            continue
          if solve(num_w + 1):
            break
          answer = copy_array2(copy_answer)
          field = copy_array2(copy_field)

  return is_success

solve(0)
ans = ''
for i in range(n):
    for j in range(m):
        if answer[i][j] == 0:
            ans += field[i][j]

print( *sorted(list(ans)), sep='' )
