suits = ['H', 'S', 'C', 'D']
values = ["2", "3", "4", "5", "6", "7", "8", "9", "10", "J", "Q", "K", "A"]

def get_value(suit, val):
  return suits.index(suit) * 13 + values.index(val);

n = int(input())
a = []
for i in range(n):
  suit, val = input().split()
  a.append(get_value(suit, val))

s = sum(a)
dp1 = [] 
for i in range(n):
  dp1.append( [0] * n )

for left in range(n-1,-1,-1):
  for right in range(left, n):
    if left == right:
      dp1[left][right] = a[left]
    elif right - left == 1:
      dp1[left][right] = max(a[left], a[right])
    else:
      dp1[left][right] = max(
        a[left] + min(dp1[left+2][right], dp1[left+1][right-1]),
        a[right] + min(dp1[left+1][right-1], dp1[left][right-2]),
      )

t = dp1[0][n-1]
if 2 * t > s:
  print('FYODOR')
elif 2 * t == s:
  print('DRAW')
else:
  print('DJON')
